//    
//	  This file is part of MD5 Decrypter
//
//	  MD5 Decrypter is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

//	  Author: Matheus Bratfisch [matheusbrat AT gmail dot com]
// 	  Author: Olav P. Henschel [olav_ph at hotmail dot com] (stop since 0.1)

package master;

public class MMain {

	public static void main(String[] args) {
		if(args.length == 2) {
			System.out.println("Starting search for " + args[0] + " at " + args[1] + " port");
			Master a = new Master(Integer.parseInt(args[1]), args[0]);
			a.runMaster();
		} else {
			System.out.println("Master takes exactly two arguments. First is the md5 string, the second is the port.");
		}
		
	}

}
