//    
//	  This file is part of MD5 Decrypter
//
//	  MD5 Decrypter is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

//	  Author: Matheus Bratfisch [matheusbrat AT gmail dot com]
// 	  Author: Olav P. Henschel [olav_ph at hotmail dot com] (stop since 0.1)

package master;

import java.util.ArrayList;
import java.util.List;

public class StringController {
	private StringGen sg = new StringGen();
	private List<StringBE> notComplete = new ArrayList<StringBE>();

	public StringController() {

	}
	
	public synchronized StringBE getString() { 
		if (notComplete.size()>0)
			return notComplete.remove(0);
		
		return sg.getStrings();
	}
	
	public void addNotCompleteString(StringBE s) { 
		notComplete.add(s);
	}
}
